Bug 29513 - Accessibility: Staff Client - Convert remaining breadcrumbs sections from div to nav blocks
Summary: Accessibility: Staff Client - Convert remaining breadcrumbs sections from div...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2021-11-18 08:35 UTC by Andreas Roussos
Modified: 2021-12-22 21:00 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This improves the accessibility of breadcrumbs so that they adhere to the WAI-ARIA Authoring Practices. It covers additional breadcrumbs that weren't fixed in bug 27486 in these areas: * Home > Acquisitions > [Vendor name > [Basket name] * Home > Administration > Set library checkin and transfer policy * Home > Patrons > Merge patron records
Version(s) released in:
22.05.00,21.11.01,21.05.08


Attachments
Bug 29513: Convert remaining breadcrumbs div blocks into nav (5.04 KB, patch)
2021-11-18 09:09 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 29513: Convert remaining breadcrumbs div blocks into nav (5.09 KB, patch)
2021-11-18 11:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29513: Convert remaining breadcrumbs div blocks into nav (5.17 KB, patch)
2021-11-19 13:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29513: (QA follow-up) Fix TT filters (1.50 KB, patch)
2021-11-19 13:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2021-11-18 08:35:35 UTC
Bug 27846 and Bug 28101 dealt with making the Staff Client and OPAC
breadcrumbs more accessible. It would appear, however, that some
Staff Client template files were missed in the process:

koha-tmpl/intranet-tmpl/prog/en/modules/acqui/addorderiso2709.tt
koha-tmpl/intranet-tmpl/prog/en/modules/admin/transfer_limits.tt
koha-tmpl/intranet-tmpl/prog/en/modules/members/merge-patrons.tt
Comment 1 Andreas Roussos 2021-11-18 09:09:33 UTC
Created attachment 127777 [details] [review]
Bug 29513: Convert remaining breadcrumbs div blocks into nav

As per https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=27846#c0,
breadcrumbs should adhere to the WAI-ARIA Authoring Practices. Most Staff
Client template files have already been fixed, but there were a few that
were missed.

This patch fixes that.

Test plan:
1) Apply this patch.
2) Visit these pages in the Staff Client:
   Home > Acquisitions > TestVendor > Basket TestBasket (1) for TestVendor (*)
   Home > Administration > Set library checkin and transfer policy (**)
   Home > Patrons > Merge patron records (***)
   ...and confirm that the breadcrumbs display correctly.

   (*) Can be accessed by creating a test basket for a test vendor
   (**) Can be found under Administration -> Patrons and circulation
   (***) Can be found by trying to merge two Patron records
Comment 2 Owen Leonard 2021-11-18 11:44:24 UTC
Created attachment 127786 [details] [review]
Bug 29513: Convert remaining breadcrumbs div blocks into nav

As per https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=27846#c0,
breadcrumbs should adhere to the WAI-ARIA Authoring Practices. Most Staff
Client template files have already been fixed, but there were a few that
were missed.

This patch fixes that.

Test plan:
1) Apply this patch.
2) Visit these pages in the Staff Client:
   Home > Acquisitions > TestVendor > Basket TestBasket (1) for TestVendor (*)
   Home > Administration > Set library checkin and transfer policy (**)
   Home > Patrons > Merge patron records (***)
   ...and confirm that the breadcrumbs display correctly.

   (*) Can be accessed by creating a test basket for a test vendor
   (**) Can be found under Administration -> Patrons and circulation
   (***) Can be found by trying to merge two Patron records

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-11-19 13:18:31 UTC
Created attachment 127862 [details] [review]
Bug 29513: Convert remaining breadcrumbs div blocks into nav

As per https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=27846#c0,
breadcrumbs should adhere to the WAI-ARIA Authoring Practices. Most Staff
Client template files have already been fixed, but there were a few that
were missed.

This patch fixes that.

Test plan:
1) Apply this patch.
2) Visit these pages in the Staff Client:
   Home > Acquisitions > TestVendor > Basket TestBasket (1) for TestVendor (*)
   Home > Administration > Set library checkin and transfer policy (**)
   Home > Patrons > Merge patron records (***)
   ...and confirm that the breadcrumbs display correctly.

   (*) Can be accessed by creating a test basket for a test vendor
   (**) Can be found under Administration -> Patrons and circulation
   (***) Can be found by trying to merge two Patron records

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-11-19 13:18:34 UTC
Created attachment 127863 [details] [review]
Bug 29513: (QA follow-up) Fix TT filters

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Fridolin Somers 2021-12-02 06:46:24 UTC
Pushed to master for 22.05, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-12-03 14:57:07 UTC
Pushed to 21.11.x for 21.11.01
Comment 7 David Nind 2021-12-16 13:28:55 UTC
Added Manual keyword for 22.05 bugs that I consider require documentation changes. See bug 29640 and the linked spreadsheet for additional details.
Comment 8 Andrew Fuerste-Henry 2021-12-16 21:10:48 UTC
Pushed to 21.05.x for 21.05.08
Comment 9 Victor Grousset/tuxayo 2021-12-22 21:00:58 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.